declare_plugin("Military Asset Pack Ukraine by Currenthill",

{
displayName   	= _("Military Asset Pack Ukraine by Currenthill"),
shortName	  	=   "MAP Ukraine",
installed 	 	= true, 
dirName	  	 	= current_mod_path,

encyclopedia_path = current_mod_path..'/Encyclopedia',
	
fileMenuName 	= _("MAP Ukraine"),
version		 	= "1.1.2",		 
state		 	= "installed",
developerName	= "Currenthill",
info		 	= _("Military Asset Pack Ukraine by Currenthill."),

})
----------------------------------------------------------------------------------------

-- shapes
mount_vfs_model_path	(current_mod_path.."/Shapes")

-- liveries
mount_vfs_liveries_path (current_mod_path.."/Liveries")

-- textures
mount_vfs_texture_path  (current_mod_path.."/Textures")
mount_vfs_texture_path  (current_mod_path.."/Textures/Su-24MU_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/T-84_OplotM_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/Alligator_Sniper_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/BTR-4_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/MiG-29MU2_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/Stugna-P_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/T-64BV_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/KrAZ-6322_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/Kozak-5_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/KrAZ-Spartan_textures.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/BRDM-2L1_textures.zip")

-- sensors
dofile(current_mod_path.."/Database/Sensors/MiG-29MU2_Sensors.lua")
dofile(current_mod_path.."/Database/Sensors/Su-27P1M_Sensors.lua")

-- weapons
dofile(current_mod_path.."/Database/Weapons/Su-24MU_StormShadow.lua")
dofile(current_mod_path.."/Database/Weapons/Su-24MU_TaurusKEPD350.lua")
dofile(current_mod_path..'/Database/Weapons/T-84_OplotM_9M119M_Refleks.lua')
dofile(current_mod_path..'/Database/Weapons/T-84_OplotM_GunsAndAmmo.lua')
dofile(current_mod_path..'/Database/Weapons/RK2_Barrier.lua')
dofile(current_mod_path.."/Database/Weapons/MiG-29MU2_ADM-160B.lua")
dofile(current_mod_path.."/Database/Weapons/MiG-29MU2_JDAM-ER.lua")
dofile(current_mod_path..'/Database/Weapons/Stugna-P_missile.lua')
dofile(current_mod_path..'/Database/Weapons/T-64BV_9M112M2_Kobra.lua')
dofile(current_mod_path..'/Database/Weapons/T-64BV_GunsAndAmmo.lua')
dofile(current_mod_path..'/Database/Weapons/CH_AASM250.lua')
dofile(current_mod_path..'/Database/Weapons/Kozak-5_GunsAndAmmo.lua')
dofile(current_mod_path..'/Database/Weapons/KrAZ-Spartan_GunsAndAmmo.lua')
dofile(current_mod_path..'/Database/Weapons/BRDM-2L1_GunsAndAmmo.lua')
dofile(current_mod_path..'/Database/Weapons/BTR-4_GunsAndAmmo.lua')

-- vehicle
dofile(current_mod_path..'/Database/Vehicles/Su-24MU.lua')
dofile(current_mod_path..'/Database/Vehicles/T-84_OplotM.lua')
dofile(current_mod_path..'/Database/IFV/Alligator Sniper.lua')
dofile(current_mod_path..'/Database/Vehicles/BTR-4.lua')
dofile(current_mod_path..'/Database/Vehicles/MiG-29MU2.lua')
dofile(current_mod_path..'/Database/IFV/Stugna-P.lua')
dofile(current_mod_path..'/Database/Vehicles/T-64BV.lua')
dofile(current_mod_path..'/Database/Vehicles/Su-27P1M.lua')
dofile(current_mod_path..'/Database/Vehicles/KrAZ-6322.lua')
dofile(current_mod_path..'/Database/Vehicles/Kozak-5.lua')
dofile(current_mod_path..'/Database/Vehicles/KrAZ-Spartan.lua')
dofile(current_mod_path..'/Database/Vehicles/BRDM-2L1.lua')

plugin_done()
